System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.Hashtable

The can be accessed through the ExtendedProperties property of the , , or class.

Add custom properties to the , , or objects through the . For example, you may want to store the time of the object's creation for later comparison to another object.

Represents a collection of properties that can be added to , , or .

- Constructor

  Initializes any fields to their default values.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The data needed to serialize or deserialize an object.
  The source and destination of a given serialized stream.